Index: TvEngine3/TVLibrary/TVDatabase/TvBusinessLayer/BusinessLayer.cs
===================================================================
--- TvEngine3/TVLibrary/TVDatabase/TvBusinessLayer/BusinessLayer.cs	(revision 28196)
+++ TvEngine3/TVLibrary/TVDatabase/TvBusinessLayer/BusinessLayer.cs	(working copy)
@@ -2,17 +2,17 @@
 
 // Copyright (C) 2005-2011 Team MediaPortal
 // http://www.team-mediaportal.com
-// 
+//
 // MediaPortal is free software: you can redistribute it and/or modify
 // it under the terms of the GNU General Public License as published by
 // the Free Software Foundation, either version 2 of the License, or
 // (at your option) any later version.
-// 
+//
 // MediaPortal is distributed in the hope that it will be useful,
 // but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 // GNU General Public License for more details.
-// 
+//
 // You should have received a copy of the GNU General Public License
 // along with MediaPortal. If not, see <http://www.gnu.org/licenses/>.
 
@@ -36,7 +36,6 @@
 using DirectShowLib.BDA;
 using Gentle.Framework;
 using MySql.Data.MySqlClient;
-using TvDatabase;
 using TvLibrary;
 using TvLibrary.Channels;
 using TvLibrary.Implementations;
@@ -49,7 +48,6 @@
 
 namespace TvDatabase
 {
-
   #region enums
 
   public enum DeleteBeforeImportOption
@@ -171,7 +169,7 @@
 
     public IList<Card> ListAllEnabledCardsOrderedByPriority()
     {
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (Card));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(Card));
       sb.AddConstraint("enabled=1");
       sb.AddOrderByField(false, "priority");
       SqlStatement stmt = sb.GetStatement(true);
@@ -192,7 +190,7 @@
 
     public ChannelGroup CreateGroup(string groupName)
     {
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (ChannelGroup));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(ChannelGroup));
       sb.AddConstraint(Operator.Like, "groupName", "%" + groupName + "%");
       SqlStatement stmt = sb.GetStatement(true);
       IList<ChannelGroup> groups = ObjectFactory.GetCollection<ChannelGroup>(stmt.Execute());
@@ -308,7 +306,7 @@
 
     public Channel GetChannel(int idChannel)
     {
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (Channel));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(Channel));
       sb.AddConstraint(Operator.Equals, "idChannel", idChannel);
 
       SqlStatement stmt = sb.GetStatement(true);
@@ -326,7 +324,7 @@
 
     public Channel GetChannelByTuningDetail(int networkId, int transportId, int serviceId)
     {
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (TuningDetail));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(TuningDetail));
       sb.AddConstraint(Operator.Equals, "networkId", networkId);
       sb.AddConstraint(Operator.Equals, "transportId", transportId);
       sb.AddConstraint(Operator.Equals, "serviceId", serviceId);
@@ -348,7 +346,7 @@
 
     public TuningDetail GetTuningDetail(int networkId, int serviceId, int channelType)
     {
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (TuningDetail));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(TuningDetail));
       sb.AddConstraint(Operator.Equals, "networkId", networkId);
       sb.AddConstraint(Operator.Equals, "serviceId", serviceId);
       sb.AddConstraint(Operator.Equals, "channelType", channelType);
@@ -389,7 +387,7 @@
 
     public TuningDetail GetTuningDetail(int networkId, int transportId, int serviceId, int channelType)
     {
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (TuningDetail));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(TuningDetail));
       sb.AddConstraint(Operator.Equals, "networkId", networkId);
       sb.AddConstraint(Operator.Equals, "serviceId", serviceId);
       sb.AddConstraint(Operator.Equals, "transportId", transportId);
@@ -411,7 +409,7 @@
 
     public IList<TuningDetail> GetTuningDetailsByName(string name, int channelType)
     {
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (TuningDetail));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(TuningDetail));
       sb.AddConstraint(Operator.Equals, "name", name);
       sb.AddConstraint(Operator.Equals, "channelType", channelType);
 
@@ -422,29 +420,29 @@
 
     public static int GetChannelType(DVBBaseChannel channel)
     {
-      int channelType;
+      ChannelProviderType channelType;
 
       if (channel is DVBTChannel)
       {
-        channelType = 4;
+        channelType = ChannelProviderType.DVBT;
       }
       else if (channel is DVBSChannel)
       {
-        channelType = 3;
+        channelType = ChannelProviderType.DVBS;
       }
       else if (channel is DVBCChannel)
       {
-        channelType = 2;
+        channelType = ChannelProviderType.DVBC;
       }
       else if (channel is DVBIPChannel)
       {
-        channelType = 7;
+        channelType = ChannelProviderType.DVBIP;
       }
       else // must be ATSCChannel
       {
-        channelType = 1;
+        channelType = ChannelProviderType.ATSC;
       }
-      return channelType;
+      return (int)channelType;
     }
 
     public TuningDetail GetTuningDetail(DVBBaseChannel channel)
@@ -455,7 +453,7 @@
 
     public IList<Channel> GetChannelsByName(string name)
     {
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (Channel));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(Channel));
       sb.AddConstraint(Operator.Equals, "displayName", name);
       SqlStatement stmt = sb.GetStatement(true);
       IList<Channel> channels = ObjectFactory.GetCollection<Channel>(stmt.Execute());
@@ -464,12 +462,12 @@
 
     public IList<Channel> GetChannelsInGroup(ChannelGroup group)
     {
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (Channel));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(Channel));
       SqlStatement origStmt = sb.GetStatement(true);
       string sql = "select c.* from channel c inner join groupmap gm on (c.idChannel = gm.idChannel and gm.idGroup =" +
                    group.IdGroup + ") order by gm.SortOrder asc";
       SqlStatement statement = new SqlStatement(StatementType.Select, origStmt.Command, sql,
-                                                typeof (Channel));
+                                                typeof(Channel));
       return ObjectFactory.GetCollection<Channel>(statement.Execute());
     }
 
@@ -526,7 +524,7 @@
       SqlBuilder sb;
       try
       {
-        sb = new SqlBuilder(StatementType.Select, typeof (Setting));
+        sb = new SqlBuilder(StatementType.Select, typeof(Setting));
       }
       catch (TypeInitializationException)
       {
@@ -555,7 +553,7 @@
       SqlBuilder sb;
       try
       {
-        sb = new SqlBuilder(StatementType.Select, typeof (Setting));
+        sb = new SqlBuilder(StatementType.Select, typeof(Setting));
       }
       catch (TypeInitializationException)
       {
@@ -575,7 +573,7 @@
       return settingsFound[0];
     }
 
-    public IChannel GetTuningChannelByType(Channel channel, int channelType)
+    public IChannel GetTuningChannelByType(Channel channel, ChannelProviderType channelType)
     {
       IList<TuningDetail> tuningDetails = channel.ReferringTuningDetail();
       for (int i = 0; i < tuningDetails.Count; ++i)
@@ -606,7 +604,7 @@
     {
       switch (detail.ChannelType)
       {
-        case 0: //AnalogChannel
+        case ChannelProviderType.Analog:
           AnalogChannel analogChannel = new AnalogChannel();
           analogChannel.ChannelNumber = detail.ChannelNumber;
           CountryCollection collection = new CountryCollection();
@@ -619,7 +617,7 @@
           analogChannel.VideoSource = (AnalogChannel.VideoInputType)detail.VideoSource;
           analogChannel.AudioSource = (AnalogChannel.AudioInputType)detail.AudioSource;
           return analogChannel;
-        case 1: //ATSCChannel
+        case ChannelProviderType.ATSC:
           ATSCChannel atscChannel = new ATSCChannel();
           atscChannel.MajorChannel = detail.MajorChannel;
           atscChannel.MinorChannel = detail.MinorChannel;
@@ -637,7 +635,7 @@
           atscChannel.TransportId = detail.TransportId;
           atscChannel.ModulationType = (ModulationType)detail.Modulation;
           return atscChannel;
-        case 2: //DVBCChannel
+        case ChannelProviderType.DVBC:
           DVBCChannel dvbcChannel = new DVBCChannel();
           dvbcChannel.ModulationType = (ModulationType)detail.Modulation;
           dvbcChannel.FreeToAir = detail.FreeToAir;
@@ -653,7 +651,7 @@
           dvbcChannel.TransportId = detail.TransportId;
           dvbcChannel.LogicalChannelNumber = detail.ChannelNumber;
           return dvbcChannel;
-        case 3: //DVBSChannel
+        case ChannelProviderType.DVBS:
           DVBSChannel dvbsChannel = new DVBSChannel();
           dvbsChannel.DisEqc = (DisEqcType)detail.Diseqc;
           dvbsChannel.Polarisation = (Polarisation)detail.Polarisation;
@@ -677,7 +675,7 @@
           dvbsChannel.Rolloff = (RollOff)detail.RollOff;
           dvbsChannel.LogicalChannelNumber = detail.ChannelNumber;
           return dvbsChannel;
-        case 4: //DVBTChannel
+        case ChannelProviderType.DVBT:
           DVBTChannel dvbtChannel = new DVBTChannel();
           dvbtChannel.BandWidth = detail.Bandwidth;
           dvbtChannel.FreeToAir = detail.FreeToAir;
@@ -692,7 +690,7 @@
           dvbtChannel.TransportId = detail.TransportId;
           dvbtChannel.LogicalChannelNumber = detail.ChannelNumber;
           return dvbtChannel;
-        case 7: //DVBIPChannel
+        case ChannelProviderType.DVBIP:
           DVBIPChannel dvbipChannel = new DVBIPChannel();
           dvbipChannel.FreeToAir = detail.FreeToAir;
           dvbipChannel.IsRadio = detail.IsRadio;
@@ -732,12 +730,12 @@
     /// <returns>a list of TVDatabase Channels</returns>
     public List<Channel> GetRadioGuideChannelsForGroup(int groupID)
     {
-      SqlBuilder sb1 = new SqlBuilder(StatementType.Select, typeof (Channel));
+      SqlBuilder sb1 = new SqlBuilder(StatementType.Select, typeof(Channel));
       SqlStatement stmt1 = sb1.GetStatement(true);
       SqlStatement ManualJoinSQL = new SqlStatement(stmt1.StatementType, stmt1.Command,
                                                     String.Format(
                                                       "select c.* from Channel c inner join RadioGroupMap g on (c.idChannel=g.idChannel and g.idGroup = '{0}') where visibleInGuide = 1 and isRadio = 1 order by g.sortOrder",
-                                                      groupID), typeof (Channel));
+                                                      groupID), typeof(Channel));
       return ObjectFactory.GetCollection<Channel>(ManualJoinSQL.Execute()) as List<Channel>;
     }
 
@@ -747,18 +745,18 @@
     /// <returns>a list of TVDatabase Channels</returns>
     public List<Channel> GetTVGuideChannelsForGroup(int groupID)
     {
-      SqlBuilder sb1 = new SqlBuilder(StatementType.Select, typeof (Channel));
+      SqlBuilder sb1 = new SqlBuilder(StatementType.Select, typeof(Channel));
       SqlStatement stmt1 = sb1.GetStatement(true);
       SqlStatement ManualJoinSQL = new SqlStatement(stmt1.StatementType, stmt1.Command,
                                                     String.Format(
                                                       "select c.* from Channel c inner join GroupMap g on (c.idChannel=g.idChannel and g.idGroup = '{0}') where visibleInGuide = 1 and isTv = 1 order by g.sortOrder",
-                                                      groupID), typeof (Channel));
+                                                      groupID), typeof(Channel));
       return ObjectFactory.GetCollection<Channel>(ManualJoinSQL.Execute()) as List<Channel>;
     }
 
     public IList<Channel> GetAllRadioChannels()
     {
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (Channel));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(Channel));
       sb.AddConstraint(Operator.Equals, "isRadio", 1);
       SqlStatement stmt = sb.GetStatement(true);
       IList<Channel> radioChannels = ObjectFactory.GetCollection<Channel>(stmt.Execute());
@@ -803,7 +801,7 @@
       int minorChannel = -1;
       int majorChannel = -1;
       string provider = "";
-      int channelType = 0;
+      ChannelProviderType channelType = ChannelProviderType.Analog;
       int band = 0;
       int satIndex = -1;
       int innerFecRate = (int)BinaryConvolutionCodeRate.RateNotSet;
@@ -824,7 +822,7 @@
         videoInputType = (int)analogChannel.VideoSource;
         audioInputType = (int)analogChannel.AudioSource;
         isVCRSignal = analogChannel.IsVCRSignal;
-        channelType = 0;
+        channelType = ChannelProviderType.Analog;
       }
 
       ATSCChannel atscChannel = tvChannel as ATSCChannel;
@@ -836,7 +834,7 @@
         //videoPid = atscChannel.VideoPid;
         //audioPid = atscChannel.AudioPid;
         modulation = (int)atscChannel.ModulationType;
-        channelType = 1;
+        channelType = ChannelProviderType.ATSC;
       }
 
       DVBCChannel dvbcChannel = tvChannel as DVBCChannel;
@@ -845,7 +843,7 @@
         symbolRate = dvbcChannel.SymbolRate;
         modulation = (int)dvbcChannel.ModulationType;
         channelNumber = dvbcChannel.LogicalChannelNumber > 999 ? channel.IdChannel : dvbcChannel.LogicalChannelNumber;
-        channelType = 2;
+        channelType = ChannelProviderType.DVBC;
       }
 
       DVBSChannel dvbsChannel = tvChannel as DVBSChannel;
@@ -862,7 +860,7 @@
         pilot = (int)dvbsChannel.Pilot;
         rollOff = (int)dvbsChannel.Rolloff;
         channelNumber = dvbsChannel.LogicalChannelNumber > 999 ? channel.IdChannel : dvbsChannel.LogicalChannelNumber;
-        channelType = 3;
+        channelType = ChannelProviderType.DVBS;
       }
 
       DVBTChannel dvbtChannel = tvChannel as DVBTChannel;
@@ -870,7 +868,7 @@
       {
         bandwidth = dvbtChannel.BandWidth;
         channelNumber = dvbtChannel.LogicalChannelNumber;
-        channelType = 4;
+        channelType = ChannelProviderType.DVBT;
       }
 
       DVBIPChannel dvbipChannel = tvChannel as DVBIPChannel;
@@ -878,7 +876,7 @@
       {
         url = dvbipChannel.Url;
         channelNumber = dvbipChannel.LogicalChannelNumber;
-        channelType = 7;
+        channelType = ChannelProviderType.DVBIP;
       }
 
       DVBBaseChannel dvbChannel = tvChannel as DVBBaseChannel;
@@ -934,7 +932,7 @@
       int minorChannel = -1;
       int majorChannel = -1;
       string provider = "";
-      int channelType = 0;
+      ChannelProviderType channelType = ChannelProviderType.Analog;
       int band = 0;
       int satIndex = -1;
       int innerFecRate = (int)BinaryConvolutionCodeRate.RateNotSet;
@@ -955,7 +953,7 @@
         videoInputType = (int)analogChannel.VideoSource;
         audioInputType = (int)analogChannel.AudioSource;
         isVCRSignal = analogChannel.IsVCRSignal;
-        channelType = 0;
+        channelType = ChannelProviderType.Analog;
       }
       ATSCChannel atscChannel = tvChannel as ATSCChannel;
       if (atscChannel != null)
@@ -966,7 +964,7 @@
         //videoPid = atscChannel.VideoPid;
         //audioPid = atscChannel.AudioPid;
         modulation = (int)atscChannel.ModulationType;
-        channelType = 1;
+        channelType = ChannelProviderType.ATSC;
       }
 
       DVBCChannel dvbcChannel = tvChannel as DVBCChannel;
@@ -975,7 +973,7 @@
         symbolRate = dvbcChannel.SymbolRate;
         modulation = (int)dvbcChannel.ModulationType;
         channelNumber = dvbcChannel.LogicalChannelNumber > 999 ? channel.IdChannel : dvbcChannel.LogicalChannelNumber;
-        channelType = 2;
+        channelType = ChannelProviderType.DVBC;
       }
 
       DVBSChannel dvbsChannel = tvChannel as DVBSChannel;
@@ -992,7 +990,7 @@
         pilot = (int)dvbsChannel.Pilot;
         rollOff = (int)dvbsChannel.Rolloff;
         channelNumber = dvbsChannel.LogicalChannelNumber > 999 ? channel.IdChannel : dvbsChannel.LogicalChannelNumber;
-        channelType = 3;
+        channelType = ChannelProviderType.DVBS;
       }
 
       DVBTChannel dvbtChannel = tvChannel as DVBTChannel;
@@ -1000,7 +998,7 @@
       {
         bandwidth = dvbtChannel.BandWidth;
         channelNumber = dvbtChannel.LogicalChannelNumber;
-        channelType = 4;
+        channelType = ChannelProviderType.DVBT;
       }
 
       DVBIPChannel dvbipChannel = tvChannel as DVBIPChannel;
@@ -1008,7 +1006,7 @@
       {
         url = dvbipChannel.Url;
         channelNumber = dvbipChannel.LogicalChannelNumber;
-        channelType = 7;
+        channelType = ChannelProviderType.DVBIP;
       }
 
       DVBBaseChannel dvbChannel = tvChannel as DVBBaseChannel;
@@ -1086,7 +1084,7 @@
       const int minorChannel = -1;
       const int majorChannel = -1;
       const string provider = "";
-      const int channelType = 5;
+      const ChannelProviderType channelType = ChannelProviderType.WebStream;
       const int band = 0;
       const int satIndex = -1;
       const int innerFecRate = (int)BinaryConvolutionCodeRate.RateNotSet;
@@ -1120,7 +1118,7 @@
         if (pmap.Count > 0)
           return pmap;
       }
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (ChannelLinkageMap));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(ChannelLinkageMap));
       sb.AddConstraint(Operator.Equals, "idLinkedChannel", channel.IdChannel);
       SqlStatement stmt = sb.GetStatement(true);
       return ObjectFactory.GetCollection<ChannelLinkageMap>(stmt.Execute());
@@ -1155,7 +1153,7 @@
 
     public void RemoveOldPrograms()
     {
-      SqlBuilder sb = new SqlBuilder(StatementType.Delete, typeof (Program));
+      SqlBuilder sb = new SqlBuilder(StatementType.Delete, typeof(Program));
       DateTime dtYesterday = DateTime.Now.AddHours(-EpgKeepDuration);
       IFormatProvider mmddFormat = new CultureInfo(String.Empty, false);
       sb.AddConstraint(String.Format("endTime < '{0}'", dtYesterday.ToString(GetDateTimeString(), mmddFormat)));
@@ -1165,7 +1163,7 @@
 
     public void RemoveOldPrograms(int idChannel)
     {
-      SqlBuilder sb = new SqlBuilder(StatementType.Delete, typeof (Program));
+      SqlBuilder sb = new SqlBuilder(StatementType.Delete, typeof(Program));
       DateTime dtToKeep = DateTime.Now.AddHours(-EpgKeepDuration);
       IFormatProvider mmddFormat = new CultureInfo(String.Empty, false);
       sb.AddConstraint(Operator.Equals, "idChannel", idChannel);
@@ -1176,7 +1174,7 @@
 
     public void RemoveAllPrograms(int idChannel)
     {
-      SqlBuilder sb = new SqlBuilder(StatementType.Delete, typeof (Program));
+      SqlBuilder sb = new SqlBuilder(StatementType.Delete, typeof(Program));
       sb.AddConstraint(Operator.Equals, "idChannel", idChannel);
       SqlStatement stmt = sb.GetStatement(true);
       ObjectFactory.GetCollection<Program>(stmt.Execute());
@@ -1184,7 +1182,7 @@
 
     public IList<Program> GetOnairNow()
     {
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (Program));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(Program));
       IFormatProvider mmddFormat = new CultureInfo(String.Empty, false);
       sb.AddConstraint(String.Format("startTime <= '{0}' and endTime >= '{1}'",
                                      DateTime.Now.ToString(GetDateTimeString(), mmddFormat),
@@ -1201,7 +1199,7 @@
         startTime = startTime.AddYears(1900);
       }
       IFormatProvider mmddFormat = new CultureInfo(String.Empty, false);
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (Program));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(Program));
 
       sb.AddConstraint(Operator.Equals, "idChannel", channel.IdChannel);
       sb.AddConstraint(String.Format("startTime>='{0}'", startTime.ToString(GetDateTimeString(), mmddFormat)));
@@ -1214,7 +1212,7 @@
     public IList<Program> GetPrograms(Channel channel, DateTime startTime, DateTime endTime)
     {
       IFormatProvider mmddFormat = new CultureInfo(String.Empty, false);
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (Program));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(Program));
 
       string sub1 = String.Format("(EndTime > '{0}' and EndTime < '{1}')",
                                   startTime.ToString(GetDateTimeString(), mmddFormat),
@@ -1237,7 +1235,7 @@
     public IList<Program> GetProgramExists(Channel channel, DateTime startTime, DateTime endTime)
     {
       IFormatProvider mmddFormat = new CultureInfo(String.Empty, false);
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (Program));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(Program));
 
       string sub1 =
         String.Format("( (StartTime >= '{0}' and StartTime < '{1}') or ( EndTime > '{0}' and EndTime <= '{1}' ) )",
@@ -1479,15 +1477,15 @@
         "where ((EndTime > '{0}' and EndTime < '{1}') or (StartTime >= '{0}' and StartTime <= '{1}') or (StartTime <= '{0}' and EndTime >= '{1}')) and c.visibleInGuide = 1 order by startTime",
         StartTimeString, EndTimeString
         );
-      SqlStatement stmt = new SqlBuilder(StatementType.Select, typeof (Program)).GetStatement(true);
+      SqlStatement stmt = new SqlBuilder(StatementType.Select, typeof(Program)).GetStatement(true);
       SqlStatement ManualJoinSQL = new SqlStatement(StatementType.Select, stmt.Command, SqlSelectCommand.ToString(),
-                                                    typeof (Program));
+                                                    typeof(Program));
       return ObjectFactory.GetCollection<Program>(ManualJoinSQL.Execute());
     }
 
     public DateTime GetNewestProgramForChannel(int idChannel)
     {
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (Program));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(Program));
       sb.AddConstraint(Operator.Equals, "idChannel", idChannel);
       sb.AddOrderByField(false, "startTime");
       sb.SetRowLimit(1);
@@ -1499,7 +1497,7 @@
     public IList<Program> GetProgramsByTitle(Channel channel, DateTime startTime, DateTime endTime, string title)
     {
       IFormatProvider mmddFormat = new CultureInfo(String.Empty, false);
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (Program));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(Program));
 
       string sub1 = String.Format("(EndTime > '{0}' and EndTime < '{1}')",
                                   startTime.ToString(GetDateTimeString(), mmddFormat),
@@ -1531,9 +1529,9 @@
         "where ((EndTime > '{0}' and EndTime < '{1}') or (StartTime >= '{0}' and StartTime <= '{1}') or (StartTime <= '{0}' and EndTime >= '{1}')) and title = '{2}' and c.visibleInGuide = 1 order by startTime",
         StartTimeString, EndTimeString, EscapeSQLString(title)
         );
-      SqlStatement stmt = new SqlBuilder(StatementType.Select, typeof (Program)).GetStatement(true);
+      SqlStatement stmt = new SqlBuilder(StatementType.Select, typeof(Program)).GetStatement(true);
       SqlStatement ManualJoinSQL = new SqlStatement(StatementType.Select, stmt.Command, SqlSelectCommand.ToString(),
-                                                    typeof (Program));
+                                                    typeof(Program));
       return ObjectFactory.GetCollection<Program>(ManualJoinSQL.Execute());
     }
 
@@ -1626,9 +1624,9 @@
           break;
       }
       SqlSelectCommand.Append("and c.visibleInGuide = 1 order by title, startTime");
-      SqlStatement stmt = new SqlBuilder(StatementType.Select, typeof (Program)).GetStatement(true);
+      SqlStatement stmt = new SqlBuilder(StatementType.Select, typeof(Program)).GetStatement(true);
       SqlStatement ManualJoinSQL = new SqlStatement(StatementType.Select, stmt.Command, SqlSelectCommand.ToString(),
-                                                    typeof (Program));
+                                                    typeof(Program));
       return ObjectFactory.GetCollection<Program>(ManualJoinSQL.Execute());
     }
 
@@ -1659,9 +1657,9 @@
           break;
       }
       SqlSelectCommand.Append("and c.visibleInGuide = 1 order by title,startTime");
-      SqlStatement stmt = new SqlBuilder(StatementType.Select, typeof (Program)).GetStatement(true);
+      SqlStatement stmt = new SqlBuilder(StatementType.Select, typeof(Program)).GetStatement(true);
       SqlStatement ManualJoinSQL = new SqlStatement(StatementType.Select, stmt.Command, SqlSelectCommand.ToString(),
-                                                    typeof (Program));
+                                                    typeof(Program));
       return ObjectFactory.GetCollection<Program>(ManualJoinSQL.Execute());
     }
 
@@ -1691,9 +1689,9 @@
           break;
       }
       SqlSelectCommand.Append("and c.visibleInGuide = 1 order by description, startTime");
-      SqlStatement stmt = new SqlBuilder(StatementType.Select, typeof (Program)).GetStatement(true);
+      SqlStatement stmt = new SqlBuilder(StatementType.Select, typeof(Program)).GetStatement(true);
       SqlStatement ManualJoinSQL = new SqlStatement(StatementType.Select, stmt.Command, SqlSelectCommand.ToString(),
-                                                    typeof (Program));
+                                                    typeof(Program));
       return ObjectFactory.GetCollection<Program>(ManualJoinSQL.Execute());
     }
 
@@ -1943,7 +1941,7 @@
     } ;
 
     /// <summary>
-    /// Batch inserts programs - intended for faster EPG import. You must make sure before that there are no duplicates 
+    /// Batch inserts programs - intended for faster EPG import. You must make sure before that there are no duplicates
     /// (e.g. delete all program data of the current channel).
     /// Also you MUST provide a true copy of "aProgramList". If you update it's reference in your own code the values will get overwritten
     /// (possibly before they are written to disk)!
@@ -1957,7 +1955,7 @@
     }
 
     /// <summary>
-    /// Batch inserts programs - intended for faster EPG import. You must make sure before that there are no duplicates 
+    /// Batch inserts programs - intended for faster EPG import. You must make sure before that there are no duplicates
     /// (e.g. delete all program data of the current channel).
     /// Also you MUST provide a true copy of "aProgramList". If you update it's reference in your own code the values will get overwritten
     /// (possibly before they are written to disk)!
@@ -1967,7 +1965,7 @@
     /// <param name="aThreadPriority">Use "Lowest" for Background imports allowing LiveTV, AboveNormal for full speed</param>
     /// <returns>The record count of programs if successful, 0 on errors</returns>
     /// <remarks><para>Inserts are queued to be performed in the background. Each batch of inserts is executed in a single transaction.
-    /// You may also optionally specify to delete either all existing programs in the same channel(s) as the programs to be inserted 
+    /// You may also optionally specify to delete either all existing programs in the same channel(s) as the programs to be inserted
     /// (<see cref="DeleteBeforeImportOption.ProgramsOnSameChannel"/>), or existing programs that would otherwise overlap new programs
     /// (<see cref="DeleteBeforeImportOption.OverlappingPrograms"/>), or none (<see cref="DeleteBeforeImportOption.None"/>).
     /// The deletion is also performed in the same transaction as the inserts so that EPG will not be at any time empty.</para>
@@ -2183,7 +2181,7 @@
             }
           }
           // Now all queued inserts have been processed, clear Gentle cache
-          Gentle.Common.CacheManager.ClearQueryResultsByType(typeof (Program));
+          Gentle.Common.CacheManager.ClearQueryResultsByType(typeof(Program));
         }
       }
       catch (Exception ex)
@@ -3082,7 +3080,7 @@
     public Schedule GetSchedule(int idChannel, string programName, DateTime startTime, DateTime endTime,
                                 int scheduleType)
     {
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (Schedule));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(Schedule));
       sb.AddConstraint(Operator.Equals, "idChannel", idChannel);
       sb.AddConstraint(Operator.Equals, "programName", programName);
       sb.AddConstraint(Operator.Equals, "startTime", startTime);
@@ -3108,7 +3106,7 @@
 
     public Recording GetRecordingByFileName(string fileName)
     {
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (Recording));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(Recording));
       sb.AddConstraint(Operator.Equals, "fileName", fileName);
       sb.SetRowLimit(1);
       SqlStatement stmt = sb.GetStatement(true);
@@ -3126,7 +3124,7 @@
 
     public RadioChannelGroup GetRadioChannelGroupByName(string name)
     {
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (RadioChannelGroup));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(RadioChannelGroup));
       sb.AddConstraint(Operator.Equals, "groupName", name);
       SqlStatement stmt = sb.GetStatement(true);
       IList<RadioChannelGroup> groups = ObjectFactory.GetCollection<RadioChannelGroup>(stmt.Execute());
@@ -3149,7 +3147,7 @@
 
     public ChannelGroup GetGroupByName(string aGroupName, int aSortOrder)
     {
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (ChannelGroup));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(ChannelGroup));
       sb.AddConstraint(Operator.Like, "groupName", "%" + aGroupName + "%");
       // use like here since the user might have changed the casing
       if (aSortOrder > -1)
@@ -3184,7 +3182,7 @@
 
     public IList<SoftwareEncoder> GetSofwareEncodersVideo()
     {
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (SoftwareEncoder));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(SoftwareEncoder));
       sb.AddConstraint(Operator.Equals, "type", 0);
       sb.AddOrderByField(true, "priority");
       SqlStatement stmt = sb.GetStatement(true);
@@ -3193,7 +3191,7 @@
 
     public IList<SoftwareEncoder> GetSofwareEncodersAudio()
     {
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (SoftwareEncoder));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(SoftwareEncoder));
       sb.AddConstraint(Operator.Equals, "type", 1);
       sb.AddOrderByField(true, "priority");
       SqlStatement stmt = sb.GetStatement(true);
@@ -3204,12 +3202,12 @@
 
     public bool IsChannelMappedToCard(Channel dbChannel, Card card, bool forEpg)
     {
-      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof (ChannelMap));
+      SqlBuilder sb = new SqlBuilder(StatementType.Select, typeof(ChannelMap));
       SqlStatement origStmt = sb.GetStatement(true);
       string sql = "select cm.* from ChannelMap cm where cm.idChannel =" +
                    dbChannel.IdChannel + " and cm.idCard=" + card.IdCard + (forEpg ? "" : " and cm.epgOnly=0");
       SqlStatement statement = new SqlStatement(StatementType.Select, origStmt.Command, sql,
-                                                typeof (Channel));
+                                                typeof(Channel));
       IList<ChannelMap> maps = ObjectFactory.GetCollection<ChannelMap>(statement.Execute());
       return maps != null && maps.Count > 0;
     }
